Reflashing Error JetPack 4.1

I am trying to reflash my TX2. I put the device in recovery mode and tried to reinstall the package. I run ./JetPack-L4T-4.1-linux-x64_b5.run. I get the following error.

What could be wrong? How can I reflash the device?

###############################################################################

L4T BSP Information:

R31 (release), REVISION: 0.2, GCID: 12860113, BOARD: t186ref, EABI: aarch64,
#DATE: Sat Sep 29 05:14:38 UTC 2018
###############################################################################

Target Board Information:

Name: jetson-xavier, Board Family: t186ref, SoC: Tegra 186,

OpMode: production, Boot Authentication: ,

###############################################################################
Error: The Actual SoC ID(0x18) mismatches intended jetson-tx2 SoC ID(0x19).

The actual SOC ID 0x18 seems ok for a TX2, but your install seems to expect 0x19.
Did you select TX2, not TX2i in JetPack ?

I should install JetPack3.3 for TX2, but I installed JetPack4.1.
Thank you!!!

You cannot use JetPack4.1 for a TX2. You should completely delete that directory and start over with JetPack3.3. A future JetPack will probably support both Xavier and TX2, but 4.1 is currently only for Xavier.

Yeah, I did completely delete that directory, and I have installed JetPack3.3 successfully. Thank you!